## cascading.operation.xml
Class TagSoupParser

    java.lang.Object
      cascading.operation.BaseOperation
          cascading.operation.xml.TagSoupParser

All Implemented Interfaces:
  DeclaresResults, Function, Operation, Traceable, Serializable

    public class TagSoupParser

extends BaseOperation
implements Function

Class TagSoupParser uses the Tag Soup library to convert incoming HTML to clean XHTML.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`TagSoupParser(Fields fieldDeclaration)` Constructor TagSoupParser creates a new TagSoupParser instance.

Method Summary
`boolean` `equals(Object object)`
`int` `hashCode()`
`void` `operate(FlowProcess flowProcess, FunctionCall functionCall)`
`void` `setFeature(String feature, boolean value)` Method setFeature allows the user to set 'features' directly on the TagSoup parser, `Parser.setFeature(java.lang.String, boolean)`.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### TagSoupParser

    @ConstructorProperties(value="fieldDeclaration")
    public TagSoupParser(Fields fieldDeclaration)

  Constructor TagSoupParser creates a new TagSoupParser instance.

  Parameters:
    `fieldDeclaration` - of type Fields

Method Detail

### setFeature

    public void setFeature(String feature,
                           boolean value)

  Method setFeature allows the user to set 'features' directly on the TagSoup parser, `Parser.setFeature(java.lang.String, boolean)`.

  Note, all features are lazily added when the Parser is instantiated.

  Parameters:
    `feature` - of type String
    `value` - of type boolean

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall functionCall)

  Specified by:
    `operate` in interface `Function`
  See Also:
    `Function.operate(cascading.flow.FlowProcess, cascading.operation.FunctionCall)`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.